Subject: Re: Kernel panic when loading the IDE controller driver

From: sgosavi1 <[email-masked]>
Date: Thu, 21 Feb 2019 01:18:34 -0700 (MST)

Hi All,

I finally got the FLASH controller driver working and it is now successfully
reporting the presence of 2GB Flash in the board. I used the new "libata"
driver code present in the new kernel source under drivers/ata/. Also did
the required additions in the device tree to provide the IO port, IRQ and
PIO mode details to the driver. 

However now I am getting the below errors.

[    4.200145] scsi host0: pata_of_platform
[    4.236999] ata1: PATA max PIO4 mmio cmd 0xe0000000 ctl 0xe200000c irq 63
[    4.439985] ata1.01: ATA-7: 2GB ATA Flash Disk, C A254G4, max UDMA/133
[    4.463419] ata1.01: 3571344 sectors, multi 0: LBA48
[    4.483384] ata1.01: configured for PIO
[    4.512936] scsi 0:0:1:0: Direct-Access     ATA      2GB ATA Flash Di
54G4 PQ: 0 ANSI: 5
[    4.555994] sd 0:0:1:0: [sda] 3571344 512-byte logical blocks: (1.83
GB/1.70 GiB)
[    4.591975] sd 0:0:1:0: [sda] Write Protect is off
[    4.611307] sd 0:0:1:0: [sda] Mode Sense: 00 3a 00 00
[    4.629733] sd 0:0:1:0: [sda] Write cache: disabled, read cache: enabled,
doesn't support DPO or FUA
[    4.823702]
[    4.823702] AT THE START OF CPU_STARTUP_ENTRY FUNCTION
[    4.823734]
[    4.823734] *****INSIDE IDLE LOOP********
[   36.163139] ata1: drained 65536 bytes to clear DRQ
[   36.185451] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
frozen
[   36.199598] ata1.01: cmd 20/00:08:00:00:00/00:00:00:00:00/f0 tag 0 pio
4096 in
[   36.199598]          res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4
(timeout)
[   36.229002] ata1: soft resetting link
[   36.559637] ata1.01: configured for PIO
[   36.567563] ata1.01: device reported invalid CHS sector 0
[   36.578396] ata1: EH complete
[   68.919134] ata1: drained 65536 bytes to clear DRQ
[   68.928530] ata1.01: limiting speed to UDMA7:PIO5
[   68.937856] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
frozen
[   68.952487] ata1.01: cmd 20/00:08:00:00:00/00:00:00:00:00/f0 tag 0 pio
4096 in
[   68.952487]          res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4
(timeout)
[   68.981876] ata1: soft resetting link
[   69.311683] ata1.01: configured for PIO
[   69.319304] ata1.01: device reported invalid CHS sector 0
[   69.330274] ata1: EH complete
[  101.687134] ata1: drained 65536 bytes to clear DRQ
[  101.696646] ata1.01: limiting speed to PIO0
[  101.704921] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
frozen
[  101.719288] ata1.01: cmd 20/00:08:00:00:00/00:00:00:00:00/f0 tag 0 pio
4096 in
[  101.719288]          res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4
(timeout)
[  101.748593] ata1: soft resetting link
[  102.079594] ata1.01: configured for PIO
[  102.087204] ata1.01: device reported invalid CHS sector 0
[  102.098144] ata1: EH complete
[  132.407134] ata1: drained 65536 bytes to clear DRQ
[  132.416687] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
frozen
[  132.430752] ata1.01: cmd 20/00:08:00:00:00/00:00:00:00:00/f0 tag 0 pio
4096 in
[  132.430752]          res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4
(timeout)
[  132.460168] ata1: soft resetting link
[  132.791594] ata1.01: configured for PIO
[  132.799048] ata1.01: device reported invalid CHS sector 0
[  132.810076] ata1: EH complete
[  165.175163] ata1: drained 65536 bytes to clear DRQ
[  165.186023] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
frozen
[  165.200192] ata1.01: cmd 20/00:08:00:00:00/00:00:00:00:00/f0 tag 0 pio
4096 in
[  165.200192]          res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4
(timeout)
[  165.229531] ata1: soft resetting link

Can anyone suggest why I am getting the above errors?

Thanks,
Sachin.

--
Sent from: http://linuxppc.10917.n7.nabble.com/linuxppc-dev-f3.html